#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A library providing ability to interpret and import Visio diagrams
Summary(pl.UTF-8):	Biblioteka umożliwiająca interpretowanie i importowanie diagramów Visio
Name:		libvisio
Version:	0.1.8
Release:	3
License:	MPL v2.0
Group:		Libraries
Source0:	https://dev-www.libreoffice.org/src/libvisio/%{name}-%{version}.tar.xz
# Source0-md5:	5dd24c484c52a50c41b224165775dffb
URL:		https://wiki.documentfoundation.org/DLP/Libraries/libvisio
BuildRequires:	boost-devel >= 1.36
BuildRequires:	doxygen
BuildRequires:	gperf >= 3
BuildRequires:	libicu-devel
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvisio is library providing ability to interpret and import Visio
diagrams into various applications. You can find it being used in
libreoffice.

%description -l pl.UTF-8
Libvisio to biblioteka umożliwiająca interpretowanie i importowanie
diagramów Visio do wielu aplikacji. Jest wykorzystywana przez
libreoffice.

%package devel
Summary:	Development files for libvisio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libvisio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libicu-devel
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel >= 6:4.7
Requires:	libxml2-devel >= 2.0
Requires:	zlib-devel

%description devel
This package contains the header files for developing applications
that use libvisio.

%description devel -l pl.UTF-8
Pen pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
bibliotece libvisio.

%package static
Summary:	Static libvisio library
Summary(pl.UTF-8):	Statyczna biblioteka libvisio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libvisio library.

%description static -l pl.UTF-8
Statyczna biblioteka libvisio.

%package apidocs
Summary:	API documentation for libvisio library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libvisio
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for libvisio library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libvisio.

%package tools
Summary:	Tools to transform Visio diagrams into other formats
Summary(pl.UTF-8):	Programy przekształcania diagramów Visio do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Visio diagrams into other formats. Currently
supported: XHTML, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania diagramów Visio do innych formatów.
Aktualnie obsługiwane są XHTML i raw.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--disable-tests

%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libvisio-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvisio-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvisio-0.1.so
%{_includedir}/libvisio-0.1
%{_pkgconfigdir}/libvisio-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvisio-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/%{name}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vsd2raw
%attr(755,root,root) %{_bindir}/vsd2text
%attr(755,root,root) %{_bindir}/vsd2xhtml
%attr(755,root,root) %{_bindir}/vss2raw
%attr(755,root,root) %{_bindir}/vss2text
%attr(755,root,root) %{_bindir}/vss2xhtml
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libvisio.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> cb2b3ec
- Release 3 (by relup.sh)

* Fri Jan 17 2025 Jan Palus <atler@pld-linux.org> 5f84520
- icu 76 rebuild

* Sat Oct 26 2024 Jan Palus <atler@pld-linux.org> 952a7fe
- disable tests

* Fri Oct 25 2024 Jakub Bogusz <qboosh@pld-linux.org> b4b069b
- updated to 0.1.8

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> bf57e2f
- icu rebuild

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> 127cc38
- icu rebuild

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> b8cd9b5
- icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 20f9490
- icu rebuild

* Sat Aug 21 2021 Jakub Bogusz <qboosh@pld-linux.org> f000cb0
- rpm version for noarch subpackages

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> 50b4d3d
- icu rebuild

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> d5ed5d6
- unconditional noarch subpackages

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> f0aa89e
- icu 67 rebuild
- release 2 (by relup.sh)

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 03fd43c
- updated to 0.1.7

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> ac881b2
- rebuild with icu 65
- release 3 (by relup.sh)

* Sun Apr 14 2019 Adam Gołębiowski <adamg@pld-linux.org> 2020bba
- release 2, rebuild against icu 64

* Thu Dec 27 2018 Jakub Bogusz <qboosh@pld-linux.org> b66c543
- C++11 is required now

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> da0b975
- up to 0.1.6

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> c505158
- release 4 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> 792b43f
- rebuild with icu 58.2
- release 3 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 6b74bb1
- icu-57.1 rebuild
- release 2 (by relup.sh)

